You are not logged in.

#1 2021-04-01 12:25:15

USRapt0r
Member
Registered: 2018-06-10
Posts: 14

gdb dependency issue after upgrade (boost-libs)

Running gbd seems to be in conflict with what ldd says {gdb says} it needs for library versions.  Not sure I've seen any similar problem before...thanks for any pointers.

user@computer ~ $ gdb
gdb: error while loading shared libraries: libboost_regex.so.1.72.0: cannot open shared object file: No such file or directory
user@computer ~ $ ldd /usr/bin/gdb|grep boost
	libboost_regex.so.1.75.0 => /usr/lib/libboost_regex.so.1.75.0 (0x00007ffb7219d000)
user@computer ~ $

Offline

#2 2021-04-01 12:31:42

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 8,414

Re: gdb dependency issue after upgrade (boost-libs)

`LD_DEBUG=files gdb`

Edit, actually, check `type -a gdb` first.

Last edited by Scimmia (2021-04-01 12:34:02)

Offline

#3 2021-04-01 13:34:48

USRapt0r
Member
Registered: 2018-06-10
Posts: 14

Re: gdb dependency issue after upgrade (boost-libs)

tpad% type -a gdb
gdb is /usr/bin/gdb
gdb is /usr/local/bin/gdb
gdb is /usr/bin/gdb
tpad% 

It may do with my shell - xonsh, need to get rid of that crud.  I can invoke gdb just fine under zsh/bash, I've found

Offline

#4 2021-04-01 13:38:05

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 8,414

Re: gdb dependency issue after upgrade (boost-libs)

I would assume xonsh is running the one in /usr/local. That's something you installed outside of pacman.

Last edited by Scimmia (2021-04-01 13:38:28)

Offline

Board footer

Powered by FluxBB